package com.gx.obe.management.thread;

import org.eclipse.swt.core.CallBack;

import com.gx.obe.common.file.thread.HttpBiddingFileDownloadThread;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

/**
 * @Description: 下载评审指标线程
 * @author guoyr
 */
public class DownloadEvaluationFactorThread extends Thread{
	private TenderProjectEntity tenderProjectEntity;
	private CallBack callBack;
	
	public DownloadEvaluationFactorThread(TenderProjectEntity tenderProjectEntity, CallBack callBack){
		this.callBack = callBack;
		this.tenderProjectEntity = tenderProjectEntity;
		this.tenderProjectEntity = tenderProjectEntity;
	}
	
	public void run() {
		callBack.callBackString("开始下载指标，请稍后...");
		HttpBiddingFileDownloadThread downloadThread = new HttpBiddingFileDownloadThread(tenderProjectEntity, null);
		downloadThread.run();
		EvaluationFactorXmlResolverThread resolverThread = new EvaluationFactorXmlResolverThread(tenderProjectEntity, callBack);
		resolverThread.run();
		callBack.after();
	}
	
}
